Create a Catalog Item

Creates an item to be stored in a merchant's catalog.

This endpoint creates an item to be stored in a merchant's catalog. The item uses is_active, is_taxable, is_service or is_discount to denote whether the item is actively sold, taxable, a service or a discount, respectively.

You can create a product, service or discount item to be added to the catalog.

To create a product item

To create a product, is_discount and is_service would be set to false for a product.

VariableDescription
itemName of the item.
priceThe price to set for the product or service.
categoryYou can choose a category for the item.
detailsDetails provide the description of the item.
codeThis is the internal code for the item.
in_stockThe value that is on hand.
low_stock_alertThe value that will issue a low stock alert.
is_serviceSet to False.
is_activeSet to True if this item is available to be used.
is_taxableSets if the item is taxable. True is taxable, while False would be tax-exempt.
is_discountSet to False.
is_discountableIf True, the item price can be affected by a discount.
filesAdd file IDs to be associated with the item.
thumbnail_idAssociates a file ID with a thumbnail image of the item. This can help identify the item in the UI.

To create a service

To create a service, is_discount would be set to False and is_service would be set to True for a service.

VariableDescription
itemName of the item.
priceThe price to set for the service.
categoryYou can choose a category for the item.
detailsDetails provide the description of the item.
codeThis is the internal code for the item.
is_serviceSet to true.
is_activeSet to True if this item is available to be used.
is_taxableSets if the item is taxable. True is taxable, while False would be tax-exempt.
is_discountSet to False.
is_discountableIf True, the item price can be affected by a discount.
filesAdd file IDs to be associated with the item.
thumbnail_idAssociates a file ID with a thumbnail image of the item. This can help identify the item in the UI.

To create a discount item

To create a discount, is_discount is set to True for a discount.

VariableDescription
itemName of the item.
priceThe amount to be discounted. If is_percentage is True, this value is a percentage; otherwise, it is a dollar amount.
categoryYou can choose a category for the item.
detailsDetails provide the description of the item.
codeThis is the internal code for the item.
in_stockThe number of discounts available.
low_stock_alertA warning is received when the stock reaches this level.
is_activeSet to True if this item is available to be used.
is_discountSet to True to create a discount item.
is_percentageDetermines if the price variable is a dollar amount or a percentage.
filesAdd file IDs to be associated with the item.
thumbnail_idAssociates a file ID with a thumbnail image of the item. This can help identify the item in the UI.
Body Params
string
required
string

Internal code for the item.

string

Provides a description of the item.

string

Provide a description or category to organize items.

float

Price of the item.

int32

Set exact quantity.

boolean

Determine if it is a service or product.

boolean

Sets whether this item is active or inactive.

boolean

Sets whether the item is taxable or not.

boolean

Sets the item to a discount. If true, this will override the is_service variable.

string
string
string
string
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json